PowerModel (cloudsim 3.1-SNAPSHOT API)

org.cloudbus.cloudsim.power.models

## Interface PowerModel

- All Known Implementing Classes:
    PowerModelCubic, PowerModelLinear, PowerModelSpecPower, PowerModelSpecPower_BAZAR, PowerModelSpecPower_BAZAR_MultiProc, PowerModelSpecPower_REIMS, PowerModelSpecPower_REIMS_Disk, PowerModelSpecPower_REIMS_Net, PowerModelSpecPowerDVFS, PowerModelSpecPowerHpProLiantMl110G3PentiumD930, PowerModelSpecPowerHpProLiantMl110G4Xeon3040, PowerModelSpecPowerHpProLiantMl110G5Xeon3075, PowerModelSpecPowerIbmX3250XeonX3470, PowerModelSpecPowerIbmX3250XeonX3480, PowerModelSpecPowerIbmX3550XeonX5670, PowerModelSpecPowerIbmX3550XeonX5675, PowerModelSqrt, PowerModelSquare

      public interface PowerModel

  The PowerModel interface needs to be implemented in order to provide a model of power consumption depending on utilization for system components. If you are using any algorithms, policies or workload included in the power package, please cite the following paper: Anton Beloglazov, and Rajkumar Buyya, "Optimal Online Deterministic Algorithms and Adaptive Heuristics for Energy and Performance Efficient Dynamic Consolidation of Virtual Machines in Cloud Data Centers", Concurrency and Computation: Practice and Experience, ISSN: 1532-0626, Wiley Press, New York, USA, 2011, DOI: 10.1002/cpe.1867
  Since:
    CloudSim Toolkit 2.0
  Author:
    Anton Beloglazov, Anton Beloglazov

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `getPower(double utilization)` Get power consumption by the utilization percentage according to the power model.

- - ### Method Detail

    - #### getPower

          double getPower(double utilization)
                          throws IllegalArgumentException

      Get power consumption by the utilization percentage according to the power model.
      Parameters:
        `utilization` - the utilization
      Returns:
        power consumption
      Throws:
        `IllegalArgumentException` - the illegal argument exception

Copyright © 2013 The Cloud Computing and Distributed Systems (CLOUDS) Laboratory, The University of Melbourne. All Rights Reserved.